Bug 878661 - revert changes to plugin api signature for PropertyDefinitionMap.getPropertyDefinitions()
revert changes to plugin api signature for PropertyDefinitionMap.getPropertyD...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.1.1
All All
urgent Severity high
: ---
: JON 3.1.2
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On: 877179
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 16:35 EST by Simeon Pinder
Modified: 2013-09-11 06:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 877179
Environment:
Last Closed: 2013-09-11 06:59:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Charles Crouch 2012-11-29 21:53:33 EST
Assigning to jay to cherrypick over from master.
Comment 2 Charles Crouch 2012-11-29 22:18:51 EST
Setting this to urgent to make sure we get this in the next ER build.
Comment 3 Simeon Pinder 2012-12-04 08:51:07 EST
This has been cherry-picked to release/jon3.1.x with commit:
 d75db5b158f787a264e

Moving this to MODIFIED for testing in next JON build.
Comment 4 Simeon Pinder 2012-12-07 01:31:26 EST
Moving to ON_QA as available for testing in ER3 or greater: https://brewweb.devel.redhat.com/buildinfo?buildID=246689
Comment 5 Filip Brychta 2013-01-03 11:10:41 EST
Verified on 3.1.2.ER6.

Verification steps:
1- Reproduce Bug 786416 on jon301GA on RHQ Server -> JMS XA connection
factory -> ResourceConfig -> Config Property field and on EAP5 -> Service Binding Manager -> ports01 -> Configuration -> Override Bindings
2- Upgrade to jon312ER6 and check that previous fields are correctly ordered now.

Verified for both the postgres and oracle

Note You need to log in before you can comment on or make changes to this bug.